/***************************************************************************
 * Candidate.java                                                          *
 ***************************************************************************/

/****************************************************************************
 * Copyright (c) 2010 The Univserity of Iowa.                               *
 *                                                                          *
 * Permission is hereby granted, free of charge, to any person obtaining a  *
 * copy of this software and associated documentation files (the            *
 * "Software"), to deal in the Software without restriction, including      *
 * without limitation the rights to use, copy, modify, merge, publish,      *
 * distribute, distribute with modifications, sublicense, and/or sell       *
 * copies of the Software, and to permit persons to whom the Software is    *
 * furnished to do so, subject to the following conditions:                 *
 *                                                                          *
 * The above copyright notice and this permission notice shall be included  *
 * in all copies or substantial portions of the Software.                   *
 *                                                                          *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
 * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
 *                                                                          *
 * Except as contained in this notice, the name(s) of the above copyright   *
 * holders shall not be used in advertising or otherwise to promote the     *
 * sale, use or other dealings in this Software without prior written       *
 * authorization.                                                           *
 ****************************************************************************/

/****************************************************************************
 * Paul Cotton                                                              *
 * The University of Iowa                                                   *
 * Department of Computer Science                                           *
 * September 2010                                                           *
 *                                                                          *
 * This is the data which gets displayed by a CandidateButton.              *
 ****************************************************************************/

public class Candidate{

    private String title;
    private String subTitle;
    private String subSubTitle;
    
    private boolean isWritein;
    private boolean selected;

    // this is the position in the list of candidates for a contest
    private int number;

    public Candidate(String t1, String t2, String t3, int n){ 
	title       = t1;
	subTitle    = t2;
	subSubTitle = t3;
	number      = n;
	isWritein   = false;
	selected    = false;
    }

    public Candidate(String t1, String t2, String t3, int n,boolean b){
        title       = t1;
        subTitle    = t2;
        subSubTitle = t3;
	number      = n;
        isWritein   = b;
	selected    = false;
    }

    
    public void setTitle      (String s){ this.title       = s;}
    public void setSubTitle   (String s){ this.subTitle    = s;}
    public void setSubSubTitle(String s){ this.subSubTitle = s;}

    public void setSelected(boolean b){	selected = b;}
        
    public String getText(){
	if(isWriteIn() && !this.isSelected() )
	    return "No Selection Made";
	return this.title;
    }

    public String getTitle()      {return this.getText();}
    public String getSubTitle()   {return this.subTitle;}
    public String getSubSubTitle(){return this.subSubTitle;}
    
    public boolean isWriteIn() { return isWritein;}
    public boolean isSelected(){ return selected;}

    public Integer getNum(){return number;}

    public Integer numDefinedLabels(){
	int n = 0;
	if(title.length() > 0) n++;
	if(subTitle.length() > 0) n++;
	if(subSubTitle.length() > 0) n++;
	return n;
    }

    

    public boolean equals(Candidate c){
	return (this.getTitle().equals(c.getTitle()) &&
		this.getSubTitle().equals(c.getSubTitle()) &&
		this.getSubSubTitle().equals(c.getSubSubTitle()));
    }
}
