/****************************************************************************
 * MouseDelay.java                                                          *
 ****************************************************************************/

/****************************************************************************
 * Copyright (c) 2009 The Univserity of Iowa.                               *
 *                                                                          *
 * Permission is hereby granted, free of charge, to any person obtaining a  *
 * copy of this software and associated documentation files (the            *
 * "Software"), to deal in the Software without restriction, including      *
 * without limitation the rights to use, copy, modify, merge, publish,      *
 * distribute, distribute with modifications, sublicense, and/or sell       *
 * copies of the Software, and to permit persons to whom the Software is    *
 * furnished to do so, subject to the following conditions:                 *
 *                                                                          *
 * The above copyright notice and this permission notice shall be included  *
 * in all copies or substantial portions of the Software.                   *
 *                                                                          *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
 * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
 *                                                                          *
 * Except as contained in this notice, the name(s) of the above copyright   *
 * holders shall not be used in advertising or otherwise to promote the     *
 * sale, use or other dealings in this Software without prior written       *
 * authorization.                                                           *
 ****************************************************************************/

/****************************************************************************
 * Paul Cotton                                                              *
 * The University of Iowa                                                   *
 * Department of Computer Science                                           *
 * April 2009                                                               *
 *                                                                          *
 * MouseDelay implements a timer in a separate thread that is used to       *
 * simulate insensitivity through a predefined delay.                       *
 *****************************************************************************/


import java.util.TimerTask;
import java.awt.event.MouseEvent;

public class MouseDelay extends TimerTask{

    private int        delayTime;
    private Controller cont;
    private MouseEvent event;
    
    public MouseDelay(Controller c, int time,MouseEvent e){
	this.cont  = c;
	this.delayTime = time;
	this.event = e;
    }
    
    public void registerDown(){
	try{ Thread.sleep( this.delayTime);}
	catch(InterruptedException ex){System.err.println("View: Delay thread exception");}
	
	this.cont.setWaitForTimer(false);

	if (!this.cont.touchReleased())
	    this.cont.handleMouseClick(event);
    }
    
    public void run(){
	this.registerDown();
    }
}
