/***************************************************************************
 * Page.java
 ****************************************************************************/

/****************************************************************************
 * Copyright (c) 2009 The Univserity of Iowa.                               *
 *                                                                          *
 * Permission is hereby granted, free of charge, to any person obtaining a  *
 * copy of this software and associated documentation files (the            *
 * "Software"), to deal in the Software without restriction, including      *
 * without limitation the rights to use, copy, modify, merge, publish,      *
 * distribute, distribute with modifications, sublicense, and/or sell       *
 * copies of the Software, and to permit persons to whom the Software is    *
 * furnished to do so, subject to the following conditions:                 *
 *                                                                          *
 * The above copyright notice and this permission notice shall be included  *
 * in all copies or substantial portions of the Software.                   *
 *                                                                          *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
 * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
 *                                                                          *
 * Except as contained in this notice, the name(s) of the above copyright   *
 * holders shall not be used in advertising or otherwise to promote the     *
 * sale, use or other dealings in this Software without prior written       *
 * authorization.                                                           *
 ****************************************************************************/

/****************************************************************************
 * Paul Cotton                                                              *
 * The University of Iowa                                                   *
 * Department of Computer Science                                           *
 * April 2009                                                               *
 *                                                                          *
 * The page class is used as a subcomponent of the Ballot class. As the     *
 * name suggests this is the representation of each page in the ballot, it  *      
 * contains a list of all Contests on a page, variables to control which    *
 * buttons should be displayed in the PageView.
 ****************************************************************************/


import java.util.LinkedList;

public class Page{
  
    protected Log log;
    protected String text;
    
    protected LinkedList<Contest> contests;
    

    private boolean enablePrev;
    private boolean finalNav;
    private boolean finalPage;
    
    public Page (){}
    
    public Page(Log l){
	this.log = l;
	
	this.enablePrev    = true;
	this.finalNav      = false;
	this.finalPage     = false;

	this.contests = new LinkedList<Contest>();
	this.text = "";
    }

    public Page(Log l, String t){
        this.log = l;

        this.enablePrev    = true;
        this.finalNav      = false;
        this.finalPage     = false;

        this.contests = new LinkedList<Contest>();
	this.text = t;
    }
    
    public void addContest( Contest c){
	this.contests.add(c);
    }
    
    public LinkedList<Contest> getContests(){return this.contests;};
    

    public boolean hasText(){return !this.text.equals(""); }
    public String  getText(){return this.text;}

    public void disablePrev(){  this.enablePrev = false;}
    public void setFinalNav(){  this.finalNav = true;}
    public void setFinalPage(){ this.finalPage = true;}
        
    public boolean prevEnabled(){ return this.enablePrev;}
    public boolean isFinalNav(){  return this.finalNav;}
    public boolean isFinalPage(){ return this.finalPage;}


    public void initDishonesty(boolean b){}
    public void update(){}
    public void setDishonest(){}
    public void reset(){}
}
