/***************************************************************************
 * TextPageView.java                                                       *
****************************************************************************/

/****************************************************************************
 * Copyright (c) 2009 The Univserity of Iowa.                               *
 *                                                                          *
 * Permission is hereby granted, free of charge, to any person obtaining a  *
 * copy of this software and associated documentation files (the            *
 * "Software"), to deal in the Software without restriction, including      *
 * without limitation the rights to use, copy, modify, merge, publish,      *
 * distribute, distribute with modifications, sublicense, and/or sell       *
 * copies of the Software, and to permit persons to whom the Software is    *
 * furnished to do so, subject to the following conditions:                 *
 *                                                                          *
 * The above copyright notice and this permission notice shall be included  *
 * in all copies or substantial portions of the Software.                   *
 *                                                                          *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  *
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               *
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   *
 * IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   *
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    *
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    *
 * THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               *
 *                                                                          *
 * Except as contained in this notice, the name(s) of the above copyright   *
 * holders shall not be used in advertising or otherwise to promote the     *
 * sale, use or other dealings in this Software without prior written       *
 * authorization.                                                           *
 ****************************************************************************/

/****************************************************************************
 * Paul Cotton                                                              *
 * The University of Iowa                                                   *
 * Department of Computer Science                                           *
 * April 2009                                                               *
 *                                                                          *
 * This is a variant of page view, which contains no contests and displays  *
 * only text. This is done in a separate subclass rather than as a page with*
 * no contests, since this was the easiest way to change the layout         *
 * properties of the display
 ****************************************************************************/


import java.awt.*;
import javax.swing.*;
import java.util.LinkedList;

public class TextPageView extends PageView{

    public TextPageView (){}

    public TextPageView(Log l, Page p){
	this.log = l;
	this.page = p;
	
	this.setLayout( new BorderLayout());
	this.contests = new LinkedList<ContestView>();//this will always be empty

	JPanel textPanel = new JPanel(new BorderLayout());
	JLabel temp = new JLabel(p.getText(), SwingConstants.CENTER);

	temp.setFont( new Font(temp.getFont().getName(), temp.getFont().getStyle(), 24));
	textPanel.add(BorderLayout.CENTER, temp);
	
	this.navPanel = new NavigationPanel(l,p.prevEnabled(), false, p.isFinalNav(), p.isFinalPage());

	this.add(BorderLayout.CENTER,  textPanel);
	this.add(BorderLayout.SOUTH,  this.navPanel );
	
	textPanel.setVisible(true);
	this.navPanel.setVisible(true);
	this.setVisible(true);
	
    }
}
